## Script (Python) "PloneNewsLetter_edit2"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=id='', title=None, description=None, newsletter_publication_date=None, newsletter_reference=None, newsletter_email=None
##title=Edit a PloneNewsLetter
##

# if there is no id specified, keep the current one
if not id:
    id = context.getId()

new_context = context.portal_factory.doCreate(context, id)

# Custom editing method (called only for specific attributes)
new_context.edit(newsletter_publication_date = newsletter_publication_date,
                 newsletter_reference = newsletter_reference,
                 newsletter_email = newsletter_email)

# Generic editing method (ie. edits id + Metadata)
new_context.plone_utils.contentEdit(new_context,
                                    id = id,
                                    title = title,
                                    description=description)

message=context.REQUEST.get('portal_status_message',
                            'PloneNewsLetter changes saved.')
return state.set(context=new_context, portal_status_message=message)
